Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006082TestLinkRequirements Import - TL XML formatpublic2013-12-07 15:032014-04-25 17:39
Reporterartem 
Assigned Tofman 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSXubuntuOS Version13.10
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006082: Import req from DocBook to testlink ignore of $tlCfg->req_cfg->importDocBook->requirement var
DescriptionNow available import of req only if your req putted into <sect1> tag.
If you changed requirement var in docbook config it's don't affect of importReqDataFromDocBook because in this function used constant for search reqs.
Steps To Reproduce1. Change $tlCfg->req_cfg->importDocBook->requirement to sect2 for example
1. Open 'Requirements'-> 'Create Requirements Specification Test Project '
2. Select created in p.1 project and pres 'Import' in 'Requirement Operations' section
3. Select DocBook format in File type listbox and select DocBook file from testlink examples dir.
4. Press upload
Additional InformationProblem here -> function importReqDataFromDocBook($fileName)

Should be $num_elem = count($simpleXMLObj->{$docbookCfg->requirement})
instead of $num_elem = count($simpleXMLObj->sect1)
and
foreach($simpleXMLObj->{$docbookCfg->requirement} as $xmlReq)
instead of foreach($simpleXMLObj->sect1 as $xmlReq)
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browserchromium
PHP VersionVersion: 5.4.9-4ubuntu2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon test.xml [^] (144 bytes) 2013-12-09 06:18

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020168)
fman (administrator)
2013-12-08 22:24

please provide a sample file in order to test this
(0020188)
fman (administrator)
2013-12-10 21:15

https://gitorious.org/testlink-ga/testlink-code/commit/a1cde35ec3d1ee5b32b1fe186bcf6122ee91676c [^]
(0020875)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-07 15:03 artem New Issue
2013-12-08 22:24 fman Note Added: 0020168
2013-12-08 22:24 fman Assigned To => fman
2013-12-08 22:24 fman Status new => feedback
2013-12-09 06:02 artem Note Added: 0020170
2013-12-09 06:02 artem Status feedback => assigned
2013-12-09 06:17 artem Note Deleted: 0020170
2013-12-09 06:18 artem File Added: test.xml
2013-12-10 21:15 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-12-10 21:15 fman Note Added: 0020188
2013-12-10 21:15 fman Status assigned => resolved
2013-12-10 21:15 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2013-12-10 21:15 fman Resolution open => fixed
2013-12-10 21:15 fman Relationship added child of 0006048
2014-04-25 17:39 fman Note Added: 0020875
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker